-- ===================================================
-- Constants
-- ===================================================

local ADDON_NAME, Mocksamdi = ...;
local ADDON_VERSION = Mocksamdi.VERSION;

-- ===================================================
-- Variables
-- ===================================================

local configFrame = CreateFrame("FRAME"); -- config panel

-- ===================================================
-- Global Functions
-- ===================================================

-- Init Config
function Mocksamdi:initConfig ()
	-- TODO: This is trash, do better
	local placement = -10;
	configFrame.name = ADDON_NAME;

	configFrame.text = configFrame:CreateFontString(nil, "ARTWORK");
	configFrame.text:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE");
	configFrame.text:SetPoint("TOPLEFT", 10, placement);
	configFrame.text:SetText(ADDON_NAME .. " (" .. ADDON_VERSION .. ")");
	placement = placement - 25;

	-- MocksamdiShowStartup
	local showStartupCB = CreateFrame("CheckButton", "showStartupCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	showStartupCB:SetPoint("TOPLEFT", 10, placement);
	showStartupCB_GlobalNameText:SetText("Show addon startup text");
	showStartupCB:SetChecked(MocksamdiShowStartup);
	showStartupCB:SetScript("OnClick",
		function ()
			MocksamdiShowStartup = showStartupCB:GetChecked();
		end
	);
	placement = placement - 25;

	-- MocksamdiShowImage
	local showImageCB = CreateFrame("CheckButton", "showImageCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	showImageCB:SetPoint("TOPLEFT", 10, placement);
	showImageCB_GlobalNameText:SetText("Show Bwonsamdi on death");
	showImageCB:SetChecked(MocksamdiShowImage);
	showImageCB:SetScript("OnClick",
 		function()
			MocksamdiShowImage = showImageCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- MocksamdiPlayAudio
	local playAudioCB = CreateFrame("CheckButton", "playAudioCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	playAudioCB:SetPoint("TOPLEFT", 10, placement);
	playAudioCB_GlobalNameText:SetText("Play audio on death (If you disable this the addon will do nothing)");
	playAudioCB:SetChecked(MocksamdiPlayAudio);
	playAudioCB:SetScript("OnClick",
		function ()
	 		MocksamdiPlayAudio = playAudioCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- MocksamdiInDungeon
	local playInDungeonCB = CreateFrame("CheckButton", "playInDungeonCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	playInDungeonCB:SetPoint("TOPLEFT", 30, placement);
	playInDungeonCB_GlobalNameText:SetText("In dungeons");
	playInDungeonCB:SetChecked(MocksamdiInDungeon);
	playInDungeonCB:SetScript("OnClick",
		function ()
			MocksamdiInDungeon = playInDungeonCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- MocksamdiInRaid
	local playInRaidCB = CreateFrame("CheckButton", "playInRaidCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	playInRaidCB:SetPoint("TOPLEFT", 30, placement);
	playInRaidCB_GlobalNameText:SetText("In raids");
	playInRaidCB:SetChecked(MocksamdiInRaid);
	playInRaidCB:SetScript("OnClick",
		function ()
			MocksamdiInRaid = playInRaidCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- MocksamdiInArena
	local playInArenaCB = CreateFrame("CheckButton", "playInArenaCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	playInArenaCB:SetPoint("TOPLEFT", 30, placement);
	playInArenaCB_GlobalNameText:SetText("In arenas");
	playInArenaCB:SetChecked(MocksamdiInArena);
	playInArenaCB:SetScript("OnClick",
		function ()
			MocksamdiInArena = playInArenaCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- MocksamdiInBattleground
	local playInBgCB = CreateFrame("CheckButton", "playInBgCB_GlobalName", configFrame, "OptionsCheckButtonTemplate");
	playInBgCB:SetPoint("TOPLEFT", 30, placement);
	playInBgCB_GlobalNameText:SetText("In battlegrounds");
	playInBgCB:SetChecked(MocksamdiInBattleground);
	playInBgCB:SetScript("OnClick",
		function ()
			MocksamdiInBattleground = playInBgCB:GetChecked();
	 	end
	);
	placement = placement - 25;

	-- Append to options panel
	InterfaceOptions_AddCategory(configFrame);
end
